Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 2888373003: Clean up unused ContentBrowserClient methods that access cookie settings. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by engedy
Modified:
1 month ago
CC:
chromium-reviews, darin-cc_chromium.org, msramek (slow)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Clean up unused ContentBrowserClient methods that access cookie settings. This CL deletes the following two methods in ContentBrowserClient that were used to retrieve cookie settings on behalf of features that no longer exist: ContentBrowserClient::AllowSaveLocalState ContentBrowserClient::AllowWebRTCIdentityCache See the bug for details. BUG=724442, webrtc:5708, 493212 Review-Url: https://codereview.chromium.org/2888373003 Cr-Commit-Position: refs/heads/master@{#473656} Committed: https://chromium.googlesource.com/chromium/src/+/ee2eb64012f4a4ff273696a929450816a14a7da2

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+0 lines, -56 lines) Patch
M chrome/browser/chrome_content_browser_client.h View 2 chunks +0 lines, -6 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 2 chunks +0 lines, -26 lines 0 comments Download
M content/public/browser/content_browser_client.h View 2 chunks +0 lines, -12 lines 0 comments Download
M content/public/browser/content_browser_client.cc View 2 chunks +0 lines, -12 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_chromeos_rel_ng   win_chromium_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (14 generated)
engedy
@Henrik, @Bernhard, PTAL. @John, PTAL. Are there any special considerations for removing such methods from ...
1 month ago (2017-05-19 11:10:21 UTC) #6
Bernhard Bauer
LGTM, thanks for the cleanup! On 2017/05/19 11:10:21, engedy wrote: > @Henrik, @Bernhard, PTAL. > ...
1 month ago (2017-05-19 12:11:57 UTC) #9
engedy
> Only if they've overridden the default implementation, right? And I don't think > there ...
1 month ago (2017-05-19 12:14:12 UTC) #10
hbos_chromium
lgtm
1 month ago (2017-05-19 12:37:09 UTC) #13
jam
On 2017/05/19 11:10:21, engedy wrote: > @Henrik, @Bernhard, PTAL. > > @John, PTAL. Are there ...
1 month ago (2017-05-22 18:13:00 UTC) #16
engedy
On 2017/05/22 18:13:00, jam wrote: > On 2017/05/19 11:10:21, engedy wrote: > > @Henrik, @Bernhard, ...
1 month ago (2017-05-22 18:17:35 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888373003/1
1 month ago (2017-05-22 18:18:34 UTC) #19
commit-bot: I haz the power
1 month ago (2017-05-22 19:30:27 UTC) #22
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/ee2eb64012f4a4ff273696a92945...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318